%global pppver	%(rpm -q --queryformat "%{VERSION}" ppp-devel)

Summary:	ADSL/PPPoE userspace driver
Name:		rp-pppoe
Version:	3.12
Release:	%mkrel 7
Source0:	http://www.roaringpenguin.com/files/download/%{name}-%{version}.tar.gz
Source3:	https://www.luigisgro.com/sw/rp-pppoe-3.8.patch/README-first-session-packet-lost.txt
Source10:	pppoe-server.service
Patch0:		rp-pppoe-3.8-CAN-2004-0564.patch
Patch1:		rp-pppoe-3.10-lsb.patch
Url:		http://www.roaringpenguin.com/pppoe
License:	GPLv2+
Group:		System/Servers
Requires:	ppp >= %{pppver}
BuildRequires:	autoconf2.5
BuildRequires:	ppp-devel

%package	gui
Group:		System/Servers
Summary:	GUI front-end for rp-pppoe
Requires:	rp-pppoe >= %{version}
Requires:	tk

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

The client is a user-mode program and does not require any kernel
modifications. It is fully compliant with RFC 2516, the official PPPoE
specification.

It has been tested with many ISPs, such as the Canadian Sympatico HSE (High
Speed Edition) service.

%description	gui
This package contains the graphical frontend (tk-based) for rp-pppoe.

Install this if you wish to have a graphical frontend for pppoe.

%prep
%setup -q
%autopatch -p1

%build
%serverbuild
cd src
autoconf
export CFLAGS="$CFLAGS -D_GNU_SOURCE"
%configure --docdir=%{_docdir}/%{name} \
	--disable-plugin

%make_build

%install
install -m 644 %{SOURCE3} ./README-first-session-packet-lost.txt

pushd src
%make_install
popd

rm -f %{buildroot}%{_initrddir}/pppoe

install -D -m 0644 %{SOURCE10} %{buildroot}%{_unitdir}/pppoe-server.service

pushd gui
%make_install
popd

# This is necessary for the gui to work, but it shouldn't be done here !
mkdir -p %{buildroot}%{_sysconfdir}/ppp/rp-pppoe-gui

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-rp-pppoe-gui.desktop <<EOF
[Desktop Entry]
Name=TkPPPoE
Comment=Frontend for rp-pppoe
Exec=tkpppoe
Icon=remote_access_section
Terminal=false
Type=Application
Categories=Network;RemoteAccess;Dialup;
EOF

rm -rf %{buildroot}/usr/share/doc

rm -rf %{buildroot}%{_sysconfdir}/ppp/plugins

# backward compatibility links
for i in connect start stop setup status; do
	ln -sf %{_sbindir}/pppoe-$i %{buildroot}%{_sbindir}/adsl-$i
	ln -sf pppoe-$i.8 %{buildroot}%{_mandir}/man8/adsl-$i.8
done

%files
%doc doc/* README SERVPOET
%doc README-first-session-packet-lost.txt
%config(noreplace) %{_sysconfdir}/ppp/pppoe.conf
%config(noreplace) %{_sysconfdir}/ppp/pppoe-server-options
%config(noreplace) %{_sysconfdir}/ppp/firewall-masq
%config(noreplace) %{_sysconfdir}/ppp/firewall-standalone
%{_sbindir}/pppoe
%{_sbindir}/pppoe-connect
%{_sbindir}/pppoe-relay
%{_sbindir}/pppoe-server
%{_sbindir}/pppoe-setup
%{_sbindir}/pppoe-sniff
%{_sbindir}/pppoe-start
%{_sbindir}/pppoe-status
%{_sbindir}/pppoe-stop
%{_sbindir}/adsl-connect
%{_sbindir}/adsl-setup
%{_sbindir}/adsl-start
%{_sbindir}/adsl-status
%{_sbindir}/adsl-stop
%{_mandir}/man[58]/*
%{_unitdir}/pppoe-server.service

%files gui
%{_bindir}/tkpppoe
%{_sbindir}/pppoe-wrapper
%{_mandir}/man1/*
%{_datadir}/applications/*
%dir %{_datadir}/tkpppoe
%dir %{_sysconfdir}/ppp/rp-pppoe-gui
%{_datadir}/tkpppoe/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.12-7.mga10
+ Revision: 2212237
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 3.12-6.mga9
+ Revision: 1831454
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.12-5.mga8
+ Revision: 1516626
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.12-4.mga7
+ Revision: 1300853
- Mageia 7 Mass Rebuild

* Sun Aug 12 2018 wally <wally> 3.12-3.mga7
+ Revision: 1251166
- drop unneeded enable_debug conditional from .spec as -g is nowadays in %%optflags
- check ppp version for requires when building
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 3.12-2.mga6
+ Revision: 944065
- Mageia 6 Mass Rebuild

* Sun Jan 31 2016 eandry <eandry> 3.12-1.mga6
+ Revision: 929365
- New version 3.12
- fix license

* Wed Oct 15 2014 umeabot <umeabot> 3.11-7.mga5
+ Revision: 738994
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.11-6.mga5
+ Revision: 688699
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 spuhler <spuhler> 3.11-5.mga5
+ Revision: 671252
- changed define pppver and ppp to current version

* Tue Aug 19 2014 tv <tv> 3.11-4.mga5
+ Revision: 665724
- drop dietlibc build (no more needed by stage1)

* Fri Oct 18 2013 umeabot <umeabot> 3.11-3.mga4
+ Revision: 518074
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.11-2.mga3
+ Revision: 380432
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 3.11-1.mga3
+ Revision: 338713
- remove obsolete kernel plugin that does not build and is replaced by ppp-pppoe
+ fwang <fwang>
- force build plugin
- enable plugin always
- new version 3.11

* Sat May 12 2012 colin <colin> 3.10-6.mga2
+ Revision: 235405
- Add LSB headers to initscripts (mga#5262)

* Thu Jan 05 2012 tv <tv> 3.10-5.mga2
+ Revision: 191804
- build static pppoe-diet for stage1

* Tue Apr 26 2011 wally <wally> 3.10-4.mga1
+ Revision: 91823
- fix desktop file name (mga#954)
- fix exec line in desktop file
- drop buildroot definition

* Tue Feb 22 2011 ennael <ennael> 3.10-3.mga1
+ Revision: 55941
- remove mdk versions
- imported package rp-pppoe


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3.10-3mdv2011.0
+ Revision: 607372
- rebuild

* Tue Jan 19 2010 Olivier Blin <oblin@mandriva.com> 3.10-2mdv2010.1
+ Revision: 493757
- build for ppp 2.4.5 (thanks pterjan-controlled build bot!)

* Thu May 28 2009 Eugeni Dodonov <eugeni@mandriva.com> 3.10-1mdv2010.0
+ Revision: 380657
- Updated to 3.10.
- Dropped P1, P2 and P3 (merged upstream).
- Cleaned spec.

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 3.8-6mdv2009.1
+ Revision: 366208
- reidff CAN patch

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 3.8-5mdv2009.0
+ Revision: 218429
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Mar 08 2008 Olivier Blin <oblin@mandriva.com> 3.8-5mdv2008.1
+ Revision: 182239
- borrow aligned_u64 definition from linux/types.h (not exported to userspace)
- fix detection of kernel pppoe mode
  (linux/if_pppol2tp.h should include linux/in.h for sockaddr_in struct)
- remove old pppox header copy
- restore BuildRoot

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 30 2007 Giuseppe Ghibò <ghibo@mandriva.com> 3.8-4mdv2008.0
+ Revision: 56482
- Added Luigi Sgro's Patch3 to speed up initial ADSL connection time to ISP.

* Wed Jul 04 2007 Andreas Hasenack <andreas@mandriva.com> 3.8-3mdv2008.0
+ Revision: 48240
- use serverbuild macro (-fstack-protector-all)
- fix docdir


* Sat Mar 03 2007 Giuseppe Ghibò <ghibo@mandriva.com> 3.8-2mdv2007.0
+ Revision: 131846
- Rebuilt against ppp 2.4.4.
- Rebuilt.
- Import rp-pppoe

* Wed Aug 09 2006 Giuseppe Ghibò <ghibo@mandriva.com> 3.8-1mdv2007.0
- Release 3.8.
- XDG menu.

* Thu Mar 02 2006 Giuseppe Ghibò <ghibo@mandriva.com> 3.7-1mdk
- Release 3.7.
- Removed Patch1, merged upstream.

* Tue Aug 30 2005 Giuseppe Ghibò <ghibo@mandriva.com> 3.6-1mdk
- Release 3.6.
- Re-adapted Patch0 (still needed)?
- Added Patch1 (because option rp_pppoe_dev not supported by pppd).
- Added Patch2 for compiling plugin under glibc 2.3.5.

* Sat Apr 09 2005 Olivier Blin <oblin@mandrakesoft.com> 3.5-5mdk
- from Vincent Danen: security update for CAN-2004-0564

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.5-4mdk
- buildrequires

